// pages/pageSerchDetail/pageSerchDetail.js

const utils = require('../../utils/serve')


Page({

  /**
   * 页面的初始数据
   */
  data: {
    searchData: [],
    paginate: null,
  },
  skipSearch: function () {
    wx.navigateTo({
      url: '/pages/pageSearch/pageSearch',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.init(JSON.parse(options.param))
    wx.setNavigationBarTitle({
      title: JSON.parse(options.param).name
    })
  },

  init: function (params) {
    utils.http({
      url: '/manicureApi/Index/finishedProduct',
      method: 'GET',
      data: {
        color_id: params.id,
      }
    }).then(res => {
      this.setData({
        searchData: res.data.lists,
      }, () => {
        this.data.paginate = res.data.paginate
        this.data.finData = params
      })
    })
  },


  skipDetail: function (ev) {

    let param = ev.currentTarget.dataset.param
    let obj = {
      param: param,
      searchData: this.data.searchData,
      paginate: this.data.paginate,
      finData: this.data.finData
    }


    wx.navigateTo({
      url: '/pages/detailContent/detailContent?obj=' + JSON.stringify(obj),
      // success: res => {
      //   // console.log(res, 123)
      //   // // 通过eventChannel向被打开页面传送数据
      //   // res.eventChannel.emit('acceptDataFromOpenerPage', param, this.data.searchData, this.data.paginate, this.data.finData)
      // }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})